## Name

edgedir — Allows the user to set the direction of an edge by specifying a direction vector in the form of x, y, and z components or via rotation and fallback angles.

## Synopsis

`edgedir` [{`xyz`}] [{`rot fb`}]

## DESCRIPTION

Allows the user to set the direction of an edge by specifying a direction vector in the form of x, y, and z components or via rotation and fallback angles. This can only be done while moving an edge of an ARB.

## EXAMPLES

The example shows the use of the edgedir command to rotate an edge to be parallel to the y axis.

Example 1. Rotate an edge to be parallel to the y axis.

`mged>` `edgedir 0 1 0`

  Rotates the edge being edited to be parallel to the y axis.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.